package shopping_cart

// 购物车快照数据结构
type CartSnapshot struct {
	Logo               string             `json:"logo"`                 //logo地址
	CombineImage       string             `json:"combine_image"`        //刀版图地址
	RenderImage        string             `json:"render_image"`         //渲染结果图
	TemplateInfo       TemplateInfo       `json:"template_info"`        //模板数据
	ModelInfo          ModelInfo          `json:"model_info"`           //模型的数据
	FittingInfo        FittingInfo        `json:"fitting_info"`         //配件信息
	SizeInfo           SizeInfo           `json:"size_info"`            //尺寸基本信息
	ProductInfo        ProductInfo        `json:"product_info"`         //产品基本信息(只记录不要使用)
	UserDiyInformation UserDiyInformation `json:"user_diy_information"` //用户diy数据
}
type ProductInfo struct {
	ProductName string `json:"product_name"`
	ProductSn   string `json:"product_sn"`
}
type ModelInfo struct {
	ModelJson string `json:"model_json"` //模型设计json数据
}
type FittingInfo struct {
	FittingJson string `json:"fitting_json"` //配件设计json数据
	FittingName string `json:"fitting_name"` //配件名称
}
type TemplateInfo struct {
	TemplateJson string `json:"template_json"` //模板设计json数据
	TemplateTag  string `json:"template_tag"`  //模板标签
}
type SizeInfo struct {
	Inch     string `json:"inch"`
	Cm       string `json:"cm"`
	Capacity string `json:"capacity"`
}
type UserDiyInformation struct {
	Phone   string `json:"phone"`   //电话
	Address string `json:"address"` //地址
	Website string `json:"website"` //网站
	Qrcode  string `json:"qrcode"`  //二维码
	Slogan  string `json:"slogan"`  //slogan
}
